Avro C#

Public Member Functions | Properties | List of all members
Avro.File.Header Class Reference

Header on an Avro data file. More...

## Public Member Functions
| Header ()
| Initializes a new instance of the Header class. More...

## Properties
IDictionary< string, byte[]> | MetaData`[get]`
| Gets the metadata in this header. More...
byte[] | SyncData`[get]`
| Gets the synchronize token. More...
Schema | Schema`[get, set]`
| Gets or sets the schema. More...

## Detailed Description

Header on an Avro data file.

## Constructor & Destructor Documentation

## ◆ Header()

Avro.File.Header.Header | ( |  | ) |
| inline

Initializes a new instance of the Header class.

## Property Documentation

## ◆ MetaData

IDictionary<string, byte[]> Avro.File.Header.MetaData
| get

Gets the metadata in this header.

The metadata.

## ◆ Schema

Schema Avro.File.Header.Schema
| get set

Gets or sets the schema.

The schema.

## ◆ SyncData

byte [] Avro.File.Header.SyncData
| get

Gets the synchronize token.

The synchronize token.

The documentation for this class was generated from the following file:

- src/apache/main/File/Header.cs